#!/usr/bin/env python
# coding: utf-8

import sys
import csv
from field import reports

param = {
    "template": [
        {"*": {"src": "./mitumori.pdf", "rows": 10}}
    ],
    "style": [
        {"*.stamp1": {"icon": "./stamp.png"}},
    ]
}

def dset(d, keys, value):
    if len(keys) == 0:
        return value
    else:
        if d.has_key(keys[0]):
            dset(d[keys[0]], keys[1:], value)
        else:
            d[keys[0]] = dset({}, keys[1:], value)
        return d

def read_csv(fname):
    result = []
    reader = csv.reader(file(fname, "rb"))
    header = reader.next()
    for row in reader:
        item = {}
        for key, value in zip(header, row):
            if key and value:
                keys = unicode(key, 'sjis').split('.')
                dset(item, keys, unicode(value, 'sjis'))
        result.append(item)
    return result

if __name__ == "__main__":
    if len(sys.argv) == 3:
        context = read_csv(sys.argv[1])
        param['context'] = context
        reports.set_log_level(3)
        reports.render(param, sys.argv[2])
    else:
        print("usage: %s <csvfile> <outfile>" % (sys.argv[0], ))

